> For the complete documentation index, see [llms.txt](https://docs.babelshark.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.babelshark.net/dev/api-reference/language-drop-down-specs.md).

# Language drop-down specs

To embed an automatic language drop-down to your page use the following HTML element:

```html
<span 
    class="bs-activator" 
    [data-drop="auto|right|left|right-top|left-top"]
    [data-theme="light|dark"]
    [data-css="https://...."]
    [data-dialog-style="...."]
    ></span>
```

The minimal code snippet is `<span class="bs-activator"></span>`.

### Configuration attributes

<details>

<summary>class</summary>

"bs-activator"

To adjust the language selector button, use this class in your css.

</details>

<details>

<summary>data-drop</summary>

The direction to open the language drop-down:

* auto - automatically select the direction
* right - drop down to the right and below the language selector
* left - drop down to the left and below
* right-top - open to the right and over the language selector
* left-top - open to the left and over the language selector

</details>

<details>

<summary>data-theme</summary>

Overall coloring theme of the widget and its activator:

* light (default) - light background, dark text
* dark - dark background, light text

</details>

<details>

<summary>data-css</summary>

Embed the speficic CSS file in to the drop-down iframe.

</details>

<details>

<summary>data-dialog-style</summary>

CSS inline styles for widget dialog (iframe). Useful to set `z-index` and similar properties.

Note: `data-drop` attribute controls widget position.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.babelshark.net/dev/api-reference/language-drop-down-specs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
